#include "stdafx.h"
#include "LKFAufenthaltAkWarn.h"

extern "C" {
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "lkf5defs.h"
}

#include "LKFAufenthalt.h"

namespace lkfxdok {
	namespace c {
		LKFAufenthaltAkWarn::LKFAufenthaltAkWarn(LKFAufenthalt ^aufenthalt, unsigned int index) : LKFAufenthaltChild(aufenthalt, index)
		{
		}

		String ^LKFAufenthaltAkWarn::Line::get() {
			char buf[2048];
			if (lkf_auf_line_akwarn((LKF_AUFENTHALT *)_aufenthalt->_aufenthaltPtr, _index, buf))
				return gcnew String(buf, 0, (int) strlen(buf), System::Text::Encoding::UTF8);
			return nullptr;
		}

		unsigned int LKFAufenthaltAkWarn::HitCount::get() {
			char buf[2048];
			unsigned int hitCount;
			if (lkf_auf_line_akwarn2((LKF_AUFENTHALT *)_aufenthalt->_aufenthaltPtr, _index, buf, &hitCount))
				return hitCount;
			return 0;
		}

	}
}
